<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/crc.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">crc.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d13/crc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">   41</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a>(uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>{</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;GCRCSR |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac94f80040473056ca91317cac77455e0">DMA_GCR_GCRCSR_CRC_CLK_EN_Msk</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED = u32Seed;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL = u32Mode | u32Attribute | u32DataLen | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a88393580c2d3a2bf4df5d2324d4de29b">DMA_CRC_CTL_CRCCEN_Msk</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">/* When operated in CPU PIO mode, setting RST bit will reload the initial seed value (CRC_SEED register) */</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac2fa68bcbe60b4db0317b7e64de67793">DMA_CRC_CTL_CRC_RST_Msk</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">   60</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a>(uint32_t u32SrcAddr, uint32_t u32ByteCount)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>{</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMASAR = u32SrcAddr;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMABCR = u32ByteCount;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#afcb5e49c80f0aa3d38c5015b228d4cf2">DMA_CRC_CTL_TRIG_EN_Msk</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>}</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">   76</a></span>uint32_t <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>{</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordflow">switch</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a83090e2ac3b90e341b0d89d187751c8a">DMA_CRC_CTL_CRC_MODE_Msk</a>)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">CRC_CCITT</a>:</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">CRC_16</a>:</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CHECKSUM &amp; 0xffff);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">CRC_32</a>:</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CHECKSUM);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">CRC_8</a>:</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CHECKSUM &amp; 0xff);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>}</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> <span class="comment">/* end of group NANO1X2_CRC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> <span class="comment">/* end of group NANO1X2_CRC_Driver */</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a83090e2ac3b90e341b0d89d187751c8a"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a83090e2ac3b90e341b0d89d187751c8a">DMA_CRC_CTL_CRC_MODE_Msk</a></div><div class="ttdeci">#define DMA_CRC_CTL_CRC_MODE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02296">Nano1X2Series.h:2296</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a88393580c2d3a2bf4df5d2324d4de29b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a88393580c2d3a2bf4df5d2324d4de29b">DMA_CRC_CTL_CRCCEN_Msk</a></div><div class="ttdeci">#define DMA_CRC_CTL_CRCCEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02272">Nano1X2Series.h:2272</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac2fa68bcbe60b4db0317b7e64de67793"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac2fa68bcbe60b4db0317b7e64de67793">DMA_CRC_CTL_CRC_RST_Msk</a></div><div class="ttdeci">#define DMA_CRC_CTL_CRC_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02275">Nano1X2Series.h:2275</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac94f80040473056ca91317cac77455e0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac94f80040473056ca91317cac77455e0">DMA_GCR_GCRCSR_CRC_CLK_EN_Msk</a></div><div class="ttdeci">#define DMA_GCR_GCRCSR_CRC_CLK_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02352">Nano1X2Series.h:2352</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_afcb5e49c80f0aa3d38c5015b228d4cf2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#afcb5e49c80f0aa3d38c5015b228d4cf2">DMA_CRC_CTL_TRIG_EN_Msk</a></div><div class="ttdeci">#define DMA_CRC_CTL_TRIG_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02278">Nano1X2Series.h:2278</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga1c8431dfbf144f68548fcdcb09b605f4"><div class="ttname"><a href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">CRC_CCITT</a></div><div class="ttdeci">#define CRC_CCITT</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de6/crc_8h_source.html#l00036">crc.h:36</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga4cce368b6e4d5d7c373ef499172f7d89"><div class="ttname"><a href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">CRC_16</a></div><div class="ttdeci">#define CRC_16</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de6/crc_8h_source.html#l00038">crc.h:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga8e52750eccb4e3b43e187d43c47ee11c"><div class="ttname"><a href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">CRC_8</a></div><div class="ttdeci">#define CRC_8</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de6/crc_8h_source.html#l00037">crc.h:37</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf6aee885525d838fc93ed7d35d9c2d3b"><div class="ttname"><a href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">CRC_32</a></div><div class="ttdeci">#define CRC_32</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de6/crc_8h_source.html#l00039">crc.h:39</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadf2a1ac5fbf128e350b9c381e63e7a62"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a></div><div class="ttdeci">void CRC_Open(uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</div><div class="ttdoc">CRC Open.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00041">crc.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf0156b5936a304b688e9309235bf2541"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a></div><div class="ttdeci">uint32_t CRC_GetChecksum(void)</div><div class="ttdoc">Get CRC Checksum.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00076">crc.c:76</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc59b55387534047fb3bd2d908eaf012"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a></div><div class="ttdeci">void CRC_StartDMATransfer(uint32_t u32SrcAddr, uint32_t u32ByteCount)</div><div class="ttdoc">CRC Start DMA transfer.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00060">crc.c:60</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga58e74ec4261a6249b687005c7a6aaf02"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a></div><div class="ttdeci">#define PDMACRC</div><div class="ttdoc">Pointer to PDMA CRC register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10663">Nano1X2Series.h:10663</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae4c57f065fae4522432c2e137c947436"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a></div><div class="ttdeci">#define PDMAGCR</div><div class="ttdoc">Pointer to PDMA global control register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10664">Nano1X2Series.h:10664</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
